List group

Bootstrap list group

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap list groups are a flexible component which displays not only simple lists of elements but also complex custom content.

Note: See also Treeview component which allows showing items of the list group in the hierarchical order.


Basic example

The most basic list group is an unordered list with list items and the proper classes. You may build upon it with the options that follow, or with your own CSS as needed.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            

        <ul class="list-group">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
          <li class="list-group-item">Porta ac consectetur ac</li>
          <li class="list-group-item">Vestibulum at eros</li>
        </ul>

      
        
    

Active items

Just add .active to a .list-group-item to indicate the current active selection.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            

        <ul class="list-group">
          <li class="list-group-item active">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
          <li class="list-group-item">Porta ac consectetur ac</li>
          <li class="list-group-item">Vestibulum at eros</li>
        </ul>

      
        
    

Disabled items

You can add .disabled to a .list-group-item to make it appear disabled. Note that some elements with .disabled will also require custom JavaScript to fully disable their click events (e.g., links).

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            

        <ul class="list-group">
          <li class="list-group-item disabled">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
          <li class="list-group-item">Porta ac consectetur ac</li>
          <li class="list-group-item">Vestibulum at eros</li>
        </ul>

      
        
    


Flush

You can add .list-group-flush to remove some borders and rounded corners to render list group items edge-to-edge in a parent container (e.g., cards).

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            

        <ul class="list-group list-group-flush">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
          <li class="list-group-item">Porta ac consectetur ac</li>
          <li class="list-group-item">Vestibulum at eros</li>
        </ul>

      
        
    

Horizontal

Add .list-group-horizontal to change the layout of list group items from vertical to horizontal across all breakpoints. Alternatively, choose a responsive variant .list-group-horizontal-{sm|md|lg|xl} to make a list group horizontal starting at that breakpoint’s min-width. Currently horizontal list groups cannot be combined with flush list groups.

ProTip: Want equal-width list group items when horizontal? Add .flex-fill to each list group item.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            

        <ul class="list-group list-group-horizontal">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
        </ul>

      
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            

        <ul class="list-group list-group-horizontal-sm">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
        </ul>

      
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            

        <ul class="list-group list-group-horizontal-md">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
        </ul>

      
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
        <ul class="list-group list-group-horizontal-lg">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
        </ul>
      
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
        <ul class="list-group list-group-horizontal-xl">
          <li class="list-group-item">Cras justo odio</li>
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item">Morbi leo risus</li>
        </ul>
      
        
    

Contextual classes

Use contextual classes to style list items with a stateful background and color.

  • Dapibus ac facilisis in
  • A simple primary list group item
  • A simple secondary list group item
  • A simple success list group item
  • A simple danger list group item
  • A simple warning list group item
  • A simple info list group item
  • A simple light list group item
  • A simple dark list group item
        
            
        <ul class="list-group">
          <li class="list-group-item">Dapibus ac facilisis in</li>
          <li class="list-group-item list-group-item-primary">A simple primary list group item</li>
          <li class="list-group-item list-group-item-secondary">A simple secondary list group item</li>
          <li class="list-group-item list-group-item-success">A simple success list group item</li>
          <li class="list-group-item list-group-item-danger">A simple danger list group item</li>
          <li class="list-group-item list-group-item-warning">A simple warning list group item</li>
          <li class="list-group-item list-group-item-info">A simple info list group item</li>
          <li class="list-group-item list-group-item-light">A simple light list group item</li>
          <li class="list-group-item list-group-item-dark">A simple dark list group item</li>
        </ul>
      
        
    

Contextual classes also work with .list-group-item-action. Note the addition of the hover styles here not present in the previous example. Also supported is the .active state; apply it to indicate an active selection on a contextual list group item.

        
            
        <div class="list-group">
          <a href="#!" class="list-group-item list-group-item-action">Dapibus ac facilisis in</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-primary">A simple primary list
            group item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-secondary">A simple secondary list
            group item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-success">A simple success list
            group item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-danger">A simple danger list group
            item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-warning">A simple warning list
            group item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-info">A simple info list group
            item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-light">A simple light list group
            item</a>
          <a href="#!" class="list-group-item list-group-item-action list-group-item-dark">A simple dark list group
            item</a>
        </div>
      
        
    

Conveying meaning to assistive technologies

Using color to add meaning only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (e.g. the visible text), or is included through alternative means, such as additional text hidden with the .sr-only class.


With badges

Add badges to any list group item to show unread counts, activity, and more with the help of some utilities.

  • Cras justo odio 14
  • Dapibus ac facilisis in 2
  • Morbi leo risus 1
        
            
          <ul class="list-group">
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Cras justo odio
              <span class="badge badge-primary badge-pill">14</span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Dapibus ac facilisis in
              <span class="badge badge-primary badge-pill">2</span>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-center">
              Morbi leo risus
              <span class="badge badge-primary badge-pill">1</span>
            </li>
          </ul>
        
        
    

Custom content

You may add nearly any HTML within, even for linked list groups like the one below, with the help of flexbox utilities.

        
            
        <div class="list-group">
          <a href="#!" class="list-group-item list-group-item-action flex-column align-items-start active">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-2 h5">List group item heading</h5>
              <small>3 days ago</small>
            </div>
            <p class="mb-2">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
              blandit.</p>
            <small>Donec id elit non mi porta.</small>
          </a>
          <a href="#!" class="list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-2 h5">List group item heading</h5>
              <small class="text-muted">3 days ago</small>
            </div>
            <p class="mb-2">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
              blandit.</p>
            <small class="text-muted">Donec id elit non mi porta.</small>
          </a>
          <a href="#!" class="list-group-item list-group-item-action flex-column align-items-start">
            <div class="d-flex w-100 justify-content-between">
              <h5 class="mb-2 h5">List group item heading</h5>
              <small class="text-muted">3 days ago</small>
            </div>
            <p class="mb-2">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
              blandit.</p>
            <small class="text-muted">Donec id elit non mi porta.</small>
          </a>
        </div>
      
        
    

List with icons

Use icons to make your list group more creative and looks nice.


List icon with active items

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            

          <ul class="list-group">
            <li class="list-group-item active">
              <div class="md-v-line"></div><i class="fas fa-laptop mr-4 pr-3"></i> Cras justo odio
            </li>
            <li class="list-group-item">
              <div class="md-v-line"></div><i class="fas fa-bomb mr-5"></i>Dapibus ac facilisis in
            </li>
            <li class="list-group-item">
              <div class="md-v-line"></div><i class="fas fa-code mr-5"></i>Morbi leo risus
            </li>
            <li class="list-group-item">
              <div class="md-v-line"></div><i class="far fa-gem mr-5"></i>Porta ac consectetur ac
            </li>
            <li class="list-group-item">
              <div class="md-v-line"></div><i class="fas fa-cogs mr-5"></i>Vestibulum at eros
            </li>
          </ul>

        
        
    
        
            
          .md-v-line {
          position: absolute;
          border-left: 1px solid rgba(0,0,0,.125);
          height: 50px;
          top:0px;
          left:54px;
          }
        
        
    

Social icon MDB Pro component

    • Cras justo odio
    • Dapibus ac facilisis in
    • Morbi leo risus
    • Porta ac consectetur ac
    • Vestibulum at eros
        
            
          <ul class="list-group list-group-flush">
            <ul class="list-group">
              <li class="list-group-item">
                <a class="text-white btn-floating btn-fb btn-sm"><i class="fab fa-facebook-f"></i></a> Cras justo odio
              </li>
              <li class="list-group-item">
                <a class="btn-floating btn-tw btn-sm"><i class="fab fa-twitter"></i></a>Dapibus ac facilisis in
              </li>
              <li class="list-group-item">
                <a class="text-white btn-floating btn-li btn-sm"><i class="fab fa-linkedin-in"></i></a>Morbi leo risus
              </li>
              <li class="list-group-item">
                <a class="text-white btn-floating btn-slack btn-sm"><i class="fab fa-slack-hash"></i></a>Porta ac
                consectetur
                ac
              </li>
              <li class="list-group-item">
                <a class="text-white btn-floating btn-yt btn-sm"><i class="fab fa-youtube"></i></a>Vestibulum at eros
              </li>
            </ul>
          </ul>
        
        
    

Icon list with square icons

Photos

Work

Vacation

        
            
          <div class="list-group-flush">
            <div class="list-group-item">
              <p class="mb-0"><i class="fab fa-instagram fa-2x mr-4 blue p-3 white-text rounded " aria-hidden="true"></i>Photos</p>
            </div>
            <div class="list-group-item">
              <p class="mb-0"> <i class="fab fa-slack-hash fa-2x mr-4 mr-4 red p-3 white-text rounded" aria-hidden="true"></i>Work</p>
            </div>
            <div class="list-group-item">
              <p class="mb-0"><i class="fab fa-snapchat fa-2x mr-4 mr-4 purple p-3 white-text rounded" aria-hidden="true"></i>Vacation</p>
            </div>
          </div>
        
        
    

List icons with rounded icons

Photos

Work

Vacation

        
            
          <div class="list-group-flush">
            <div class="list-group-item">
              <p class="mb-0"><i class="far fa-image fa-2x mr-4 grey p-3 white-text rounded-circle " aria-hidden="true"></i>Photos</p>
            </div>
            <div class="list-group-item">
              <p class="mb-0"> <i class="fas fa-briefcase fa-2x mr-4 mr-4 grey p-3 white-text rounded-circle" aria-hidden="true"></i>Work</p>
            </div>
            <div class="list-group-item">
              <p class="mb-0"><i class="fas fa-anchor fa-2x mr-4 mr-4 grey p-3 white-text rounded-circle" aria-hidden="true"></i>Vacation</p>
            </div>
          </div>
        
        
    

JavaScript behavior

Use the tab JavaScript plugin—include it individually or through the compiled bootstrap.js file—to extend our list group to create tabbable panes of local content.

        
            
        <div class="row">
          <div class="col-4">
            <div class="list-group" id="list-tab" role="tablist">
              <a class="list-group-item list-group-item-action active" id="list-home-list" data-toggle="list" href="#list-home"
                role="tab" aria-controls="home">Home</a>
              <a class="list-group-item list-group-item-action" id="list-profile-list" data-toggle="list" href="#list-profile"
                role="tab" aria-controls="profile">Profile</a>
              <a class="list-group-item list-group-item-action" id="list-messages-list" data-toggle="list" href="#list-messages"
                role="tab" aria-controls="messages">Messages</a>
              <a class="list-group-item list-group-item-action" id="list-settings-list" data-toggle="list" href="#list-settings"
                role="tab" aria-controls="settings">Settings</a>
            </div>
          </div>
          <div class="col-8">
            <div class="tab-content" id="nav-tabContent">
              <div class="tab-pane fade show active" id="list-home" role="tabpanel" aria-labelledby="list-home-list">
                Velit aute mollit ipsum ad dolor consectetur nulla officia culpa adipisicing exercitation fugiat
                tempor. Voluptate deserunt sit sunt nisi aliqua fugiat proident ea ut. Mollit voluptate reprehenderit
                occaecat nisi ad non minim tempor sunt voluptate consectetur exercitation id ut nulla. Ea et fugiat
                aliquip nostrud sunt incididunt consectetur culpa aliquip eiusmod dolor. Anim ad Lorem aliqua in
                cupidatat nisi enim eu nostrud do aliquip veniam minim.
              </div>
              <div class="tab-pane fade" id="list-profile" role="tabpanel" aria-labelledby="list-profile-list">
                Cupidatat quis ad sint excepteur laborum in esse qui. Et excepteur consectetur ex nisi eu do cillum ad
                laborum. Mollit et eu officia dolore sunt Lorem culpa qui commodo velit ex amet id ex. Officia anim
                incididunt laboris deserunt anim aute dolor incididunt veniam aute dolore do exercitation. Dolor nisi
                culpa ex ad irure in elit eu dolore. Ad laboris ipsum reprehenderit irure non commodo enim culpa
                commodo veniam incididunt veniam ad.
              </div>
              <div class="tab-pane fade" id="list-messages" role="tabpanel" aria-labelledby="list-messages-list">
                Ut ut do pariatur aliquip aliqua aliquip exercitation do nostrud commodo reprehenderit aute ipsum
                voluptate. Irure Lorem et laboris nostrud amet cupidatat cupidatat anim do ut velit mollit consequat
                enim tempor. Consectetur est minim nostrud nostrud consectetur irure labore voluptate irure. Ipsum id
                Lorem sit sint voluptate est pariatur eu ad cupidatat et deserunt culpa sit eiusmod deserunt.
                Consectetur et fugiat anim do eiusmod aliquip nulla laborum elit adipisicing pariatur cillum.
              </div>
              <div class="tab-pane fade" id="list-settings" role="tabpanel" aria-labelledby="list-settings-list">
                Irure enim occaecat labore sit qui aliquip reprehenderit amet velit. Deserunt ullamco ex elit nostrud
                ut dolore nisi officia magna sit occaecat laboris sunt dolor. Nisi eu minim cillum occaecat aute est
                cupidatat aliqua labore aute occaecat ea aliquip sunt amet. Aute mollit dolor ut exercitation irure
                commodo non amet consectetur quis amet culpa. Quis ullamco nisi amet qui aute irure eu. Magna labore
                dolor quis ex labore id nostrud deserunt dolor eiusmod eu pariatur culpa mollit in irure.
              </div>
            </div>
          </div>
        </div>
      
        
    

Using data attributes

You can activate a list group navigation without writing any JavaScript by simply specifying data-toggle="list" on an element. Use these data attributes on .list-group-item.

        
            
          <!-- List group -->
          <div class="list-group" id="myList" role="tablist">
            <a class="list-group-item list-group-item-action active" data-toggle="list" href="#home" role="tab">Home</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#profile" role="tab">Profile</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#messages" role="tab">Messages</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#settings" role="tab">Settings</a>
          </div>

          <!-- Tab panes -->
          <div class="tab-content">
            <div class="tab-pane active" id="home" role="tabpanel">
              Velit aute mollit ipsum ad dolor consectetur nulla officia culpa adipisicing exercitation fugiat tempor.
              Voluptate deserunt sit sunt nisi aliqua fugiat proident ea ut. Mollit voluptate reprehenderit occaecat nisi
              ad non minim tempor sunt voluptate consectetur exercitation id ut nulla. Ea et fugiat aliquip nostrud sunt
              incididunt consectetur culpa aliquip eiusmod dolor. Anim ad Lorem aliqua in cupidatat nisi enim eu nostrud
              do aliquip veniam minim.
            </div>
            <div class="tab-pane" id="profile" role="tabpanel">
              Cupidatat quis ad sint excepteur laborum in esse qui. Et excepteur consectetur ex nisi eu do cillum ad
              laborum. Mollit et eu officia dolore sunt Lorem culpa qui commodo velit ex amet id ex. Officia anim
              incididunt laboris deserunt anim aute dolor incididunt veniam aute dolore do exercitation. Dolor nisi culpa
              ex ad irure in elit eu dolore. Ad laboris ipsum reprehenderit irure non commodo enim culpa commodo veniam
              incididunt veniam ad.
            </div>
            <div class="tab-pane" id="messages" role="tabpanel">
              Ut ut do pariatur aliquip aliqua aliquip exercitation do nostrud commodo reprehenderit aute ipsum
              voluptate. Irure Lorem et laboris nostrud amet cupidatat cupidatat anim do ut velit mollit consequat enim
              tempor. Consectetur est minim nostrud nostrud consectetur irure labore voluptate irure. Ipsum id Lorem sit
              sint voluptate est pariatur eu ad cupidatat et deserunt culpa sit eiusmod deserunt. Consectetur et fugiat
              anim do eiusmod aliquip nulla laborum elit adipisicing pariatur cillum.
            </div>
            <div class="tab-pane" id="settings" role="tabpanel">
              Irure enim occaecat labore sit qui aliquip reprehenderit amet velit. Deserunt ullamco ex elit nostrud ut
              dolore nisi officia magna sit occaecat laboris sunt dolor. Nisi eu minim cillum occaecat aute est cupidatat
              aliqua labore aute occaecat ea aliquip sunt amet. Aute mollit dolor ut exercitation irure commodo non amet
              consectetur quis amet culpa. Quis ullamco nisi amet qui aute irure eu. Magna labore dolor quis ex labore id
              nostrud deserunt dolor eiusmod eu pariatur culpa mollit in irure.
            </div>
          </div>
        
        
    

Via JavaScript

Enable tabbable list items via JavaScript (each list item needs to be activated individually):

        
            
          $('#myList a').on('click', function (e) {
            e.preventDefault()
            $(this).tab('show')
          })
        
        
    

You can activate an individual list item in several ways:

        
            
        $('#myList a[href="#profile"]').tab('show') // Select tab by name
        $('#myList a:first-child').tab('show') // Select first tab
        $('#myList a:last-child').tab('show') // Select last tab
        $('#myList a:nth-child(3)').tab('show') // Select third tab
      
        
    

Fade effect

To make tab panels fade in, add .fade to each .tab-pane. The first tab pane must also have .show to make the initial content visible.

        
            
          <div class="tab-content">
            <div class="tab-pane fade show active" id="home" role="tabpanel">...</div>
            <div class="tab-pane fade" id="profile" role="tabpanel">...</div>
            <div class="tab-pane fade" id="messages" role="tabpanel">...</div>
            <div class="tab-pane fade" id="settings" role="tabpanel">...</div>
          </div>
        
        
    

Methods

$().tab

This activates a list item element and content container. Tab should have either a data-target or an href targeting a container node in the DOM.

        
            
          <div class="list-group" id="myList" role="tablist">
            <a class="list-group-item list-group-item-action active" data-toggle="list" href="#home" role="tab">Home</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#profile" role="tab">Profile</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#messages" role="tab">Messages</a>
            <a class="list-group-item list-group-item-action" data-toggle="list" href="#settings" role="tab">Settings</a>
          </div>

          <div class="tab-content">
            <div class="tab-pane active" id="home" role="tabpanel">...</div>
            <div class="tab-pane" id="profile" role="tabpanel">...</div>
            <div class="tab-pane" id="messages" role="tabpanel">...</div>
            <div class="tab-pane" id="settings" role="tabpanel">...</div>
          </div>

        
        
    
        
            
          $(function () {
            $('#myList a:last-child').tab('show')
          })

          
        
    

.tab(‘show’)

This selects the given list item and shows its associated pane. Any other list item that was previously selected becomes unselected and its associated pane is hidden. Returns to the caller before the tab pane has actually been shown (for example, before the shown.bs.tab event occurs).

        
            
          $('#someListItem').tab('show')

        
        
    

Events

When showing a new tab, the events fire in the following order:

  1. hide.bs.tab (on the current active tab)
  2. show.bs.tab (on the to-be-shown tab)
  3. hidden.bs.tab (on the previously active tab, the same one as for the hide.bs.tab event)
  4. shown.bs.tab (on the newly-active just-shown tab, the same one as for the show.bs.tab event)

If no tab was already active, the hide.bs.tab and hidden.bs.tab events will not be fired.

Event type Description
show.bs.tab This event fires on tab show, but before the new tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previously active tab (if available) respectively.
shown.bs.tab This event fires on tab show after a tab has been shown. Use event.target and event.relatedTarget to target the active tab and the previously active tab (if available) respectively.
hide.bs.tab This event fires when a new tab is to be shown (and thus the previously active tab is to be hidden). Use event.target and event.relatedTarget to target the currently active tab and the new soon-to-be-active tab, respectively.
hidden.bs.tab This event fires after a new tab is shown (and thus the previously active tab is hidden). Use event.target and event.relatedTarget to target the previously active tab and the new active tab, respectively.
        
            

          $('a[data-toggle="list"]').on('shown.bs.tab', function (e) {
            e.target // newly activated tab
            e.relatedTarget // previous active tab
          })

Vue Bootstrap List Group

Vue List Group - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap list group is a flexible component which displays not only simple list of elements but complex custom content.


Basic example

The most basic list group is simply an unordered list with list items and the proper classes. Build upon it with the options that follow, or your own CSS as needed.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item>Cras justo odio</mdb-list-group-item>
            <mdb-list-group-item>Dapibus ac facilisis in</mdb-list-group-item>
            <mdb-list-group-item>Morbi leo risus</mdb-list-group-item>
            <mdb-list-group-item>Porta ac consectetur ac</mdb-list-group-item>
            <mdb-list-group-item>Vestibulum at eros</mdb-list-group-item>
          </mdb-list-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem
            }
          }
        </script>
    
        
    

Labels

Add labels to any list group item to show unread counts, activity, etc.

  • Cras justo odio 14
  • Dapibus ac facilisis in 2
  • Morbi leo risus 1
        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item>Cras justo odio<mdb-badge color="primary" pill>14</mdb-badge>
            </mdb-list-group-item>
            <mdb-list-group-item>Dapibus ac facilisis in<mdb-badge color="primary" pill>2</mdb-badge>
            </mdb-list-group-item>
            <mdb-list-group-item>Morbi leo risus<mdb-badge color="primary" pill>1</mdb-badge>
            </mdb-list-group-item>
          </mdb-list-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem, mdbBadge } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem,
              mdbBadge
            }
          }
        </script>
    
        
    

Linked items

Linkify list group items by using anchor tags instead of list items (that also means a parent <div> instead of an <ul>). No need for individual parents around each element.

        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item tag="a" href="#" :active="true">Cras justo odio</mdb-list-group-item>
            <mdb-list-group-item tag="a" href="#">Dapibus ac facilisis in</mdb-list-group-item>
            <mdb-list-group-item tag="a" href="#">Morbi leo risus</mdb-list-group-item>
            <mdb-list-group-item tag="a" href="#">Porta ac consectetur ac</mdb-list-group-item>
            <mdb-list-group-item tag="a" href="#">Vestibulum at eros</mdb-list-group-item>
          </mdb-list-group>
        </template>
			
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem
            }
          }
        </script>
    
        
    

Links and buttons

Use <a>s or <button>s to create actionable list group items with hover, disabled, and active states by adding :action="true". We separate these pseudo-classes to ensure list groups made of non-interactive elements (like <li"s or <div"s) don’t provide a click or tap affordance.

Be sure to not use the standard .btn classes here.

        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item :action="true" href="#" tag="a"> :active="true">Cras justo odio</mdb-list-group-item>
            <mdb-list-group-item :action="true" href="#" tag="a">Dapibus ac facilisis in</mdb-list-group-item>
            <mdb-list-group-item :action="true" href="#" tag="a">Morbi leo risus</mdb-list-group-item>
            <mdb-list-group-item :action="true" href="#" tag="a">Porta ac consectetur ac</mdb-list-group-item>
            <mdb-list-group-item :action="true" href="#" tag="a">Vestibulum at eros</mdb-list-group-item>
          </mdb-list-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem
            }
          }
        </script>
    
        
    

Disabled item

Add disabled to a <mdb-list-group-item> to gray it out to appear disabled.

        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item href="#" tag="a" disabled>Cras justo odio</mdb-list-group-item>
            <mdb-list-group-item href="#" tag="a">Dapibus ac facilisis in</mdb-list-group-item>
            <mdb-list-group-item href="#" tag="a">Morbi leo risus</mdb-list-group-item>
            <mdb-list-group-item href="#" tag="a">Porta ac consectetur ac</mdb-list-group-item>
            <mdb-list-group-item href="#" tag="a">Vestibulum at eros</mdb-list-group-item>
          </mdb-list-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem
            }
          }
        </script>
    
        
    

Contextual classes

Use color property to style list items, default or linked. Also includes .active state.

Using one of the colors listed below will style the entire list item - but you can also change just the background property by passing the color name as an argument: color="light-blue lighten-3"

  • Dapibus ac facilisis in
  • A simple primary list group item
  • A simple secondary list group item
  • A simple success list group item
  • A simple danger list group item
  • A simple warning list group item
  • A simple info list group item
  • A simple light list group item
  • A simple dark list group item
        
            
        <template>
          <mdb-row>
            <mdb-col md="6" class="mt-5 px-3">
              <mdb-list-group>
                <mdb-list-group-item color="primary"
                  >A simple primary list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="secondary"
                  >A simple secondary list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="success"
                  >A simple success list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="danger"
                  >A simple danger list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="warning"
                  >A simple warning list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="info"
                  >A simple info list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="light"
                  >A simple light list group item</mdb-list-group-item
                >
                <mdb-list-group-item color="dark"
                  >A simple dark list group item</mdb-list-group-item
                >
              </mdb-list-group>
            </mdb-col>
            <mdb-col md="6" class="mt-5 px-3">
              <mdb-list-group>
                <mdb-list-group-item action color="primary"
                  >A simple primary list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="secondary"
                  >A simple secondary list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="success"
                  >A simple success list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="danger"
                  >A simple danger list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="warning"
                  >A simple warning list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="info"
                  >A simple info list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="light"
                  >A simple light list group item</mdb-list-group-item
                >
                <mdb-list-group-item action color="dark"
                  >A simple dark list group item</mdb-list-group-item
                >
              </mdb-list-group>
            </mdb-col>
          </mdb-row>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem, mdbRow, mdbCol } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem,
              mdbRow,
              mdbCol
            }
          }
        </script>
    
        
    

Custom content

Add nearly any HTML within, even for linked list groups like the one below.

        
            
        <template>
          <mdb-list-group>
            <mdb-list-group-item active>
              <div>
                <div class="d-flex w-100 justify-content-between">
                  <h5 class="mb-2 h5">List group item heading</h5>
                  <small>3 days ago</small>
                </div>
                <p class="mb-2">
                  Donec id elit non mi porta gravida at eget metus. Maecenas
                  sed diam eget risus varius blandit.
                </p>
                <small>Donec id elit non mi porta.</small>
              </div>
            </mdb-list-group-item>
            <mdb-list-group-item>
              <div>
                <div class="d-flex w-100 justify-content-between">
                  <h5 class="mb-2 h5">List group item heading</h5>
                  <small>3 days ago</small>
                </div>
                <p class="mb-2">
                  Donec id elit non mi porta gravida at eget metus. Maecenas
                  sed diam eget risus varius blandit.
                </p>
                <small>Donec id elit non mi porta.</small>
              </div>
            </mdb-list-group-item>
            <mdb-list-group-item>
              <div>
                <div class="d-flex w-100 justify-content-between">
                  <h5 class="mb-2 h5">List group item heading</h5>
                  <small>3 days ago</small>
                </div>
                <p class="mb-2">
                  Donec id elit non mi porta gravida at eget metus. Maecenas
                  sed diam eget risus varius blandit.
                </p>
                <small>Donec id elit non mi porta.</small>
              </div>
            </mdb-list-group-item>
          </mdb-list-group>
        </template>
      
        
    
        
            
        <script>
          import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
          export default {
            name: 'ListGroupPage',
            components: {
              mdbListGroup,
              mdbListGroupItem
            }
          }
        </script>
    
        
    

Horizontal

Add horizontal property to change the layout of list group items from vertical to horizontal across all breakpoints. Alternatively, add one of the following properties: sm md lg xl to make a list group horizontal starting at that breakpoint’s min-width.

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
            <template>
              <mdb-list-group horizontal>
                <mdb-list-group-item :action="true">Cras justo odio</mdb-list-group-item>
                <mdb-list-group-item :action="true">Dapibus ac facilisis in </mdb-list-group-item>
                <mdb-list-group-item :action="true">Morbi leo risus</mdb-list-group-item>
              </mdb-list-group>
            </template>
          
        
    
        
            
            <script>
              import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
              export default {
                name: 'HorizontalListPage',
                components: {
                  mdbListGroup,
                  mdbListGroupItem
                }
              }
            </script>
        
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
            <template>
              <mdb-list-group horizontal sm>
                <mdb-list-group-item :action="true">Cras justo odio</mdb-list-group-item>
                <mdb-list-group-item :action="true">Dapibus ac facilisis in </mdb-list-group-item>
                <mdb-list-group-item :action="true">Morbi leo risus</mdb-list-group-item>
              </mdb-list-group>
            </template>
          
        
    
        
            
            <script>
              import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
              export default {
                name: 'HorizontalListPage',
                components: {
                  mdbListGroup,
                  mdbListGroupItem
                }
              }
            </script>
        
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
            <template>
              <mdb-list-group horizontal md>
                <mdb-list-group-item :action="true">Cras justo odio</mdb-list-group-item>
                <mdb-list-group-item :action="true">Dapibus ac facilisis in </mdb-list-group-item>
                <mdb-list-group-item :action="true">Morbi leo risus</mdb-list-group-item>
              </mdb-list-group>
            </template>
          
        
    
        
            
            <script>
              import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
              export default {
                name: 'HorizontalListPage',
                components: {
                  mdbListGroup,
                  mdbListGroupItem
                }
              }
            </script>
        
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
            <template>
              <mdb-list-group horizontal lg>
                <mdb-list-group-item :action="true">Cras justo odio</mdb-list-group-item>
                <mdb-list-group-item :action="true">Dapibus ac facilisis in </mdb-list-group-item>
                <mdb-list-group-item :action="true">Morbi leo risus</mdb-list-group-item>
              </mdb-list-group>
            </template>
          
        
    
        
            
            <script>
              import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
              export default {
                name: 'HorizontalListPage',
                components: {
                  mdbListGroup,
                  mdbListGroupItem
                }
              }
            </script>
        
        
    
  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
        
            
          <template>
            <mdb-list-group horizontal xl>
              <mdb-list-group-item :action="true">Cras justo odio</mdb-list-group-item>
              <mdb-list-group-item :action="true">Dapibus ac facilisis in </mdb-list-group-item>
              <mdb-list-group-item :action="true">Morbi leo risus</mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem
              }
            }
          </script>
      
        
    

Flush

You can add flush property to remove some borders and rounded corners to render list group items edge-to-edge in a parent container (e.g., cards).

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
          <template>
            <mdb-list-group flush>
              <mdb-list-group-item active>Cras justo odio</mdb-list-group-item>
              <mdb-list-group-item>Dapibus ac facilisis in</mdb-list-group-item>
              <mdb-list-group-item>Morbi leo risus</mdb-list-group-item>
              <mdb-list-group-item>Porta ac consectetur ac</mdb-list-group-item>
              <mdb-list-group-item>Vestibulum at eros</mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem
              }
            }
          </script>
      
        
    

List with icons

Use icons to make your list group more creative and looks nice.


List icon with active items

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
          <template>
            <mdb-list-group>
              <mdb-list-group-item icon="laptop" active>Cras justo odio</mdb-list-group-item>
              <mdb-list-group-item action icon="bomb">Dapibus ac facilisis in</mdb-list-group-item>
              <mdb-list-group-item icon="code">Morbi leo risus</mdb-list-group-item>
              <mdb-list-group-item icon="gem">Porta ac consectetur ac</mdb-list-group-item>
              <mdb-list-group-item icon="cogs">Vestibulum at eros</mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem
              }
            }
          </script>
      
        
    

Social icon MDB Pro component

    • Cras justo odio
    • Dapibus ac facilisis in
    • Morbi leo risus
    • Porta ac consectetur ac
    • Vestibulum at eros
        
            
          <template>
            <mdb-list-group flush>
              <mdb-list-group-item :justify-content-between="false">
                <mdb-btn floating tag="a" icon="facebook-f" fab class="btn-fb"/>Cras justo odio
              </mdb-list-group-item>
              <mdb-list-group-item :justify-content-between="false">
                <mdb-btn floating tag="a" icon="twitter" fab class="btn-tw"/>Cras justo odio
              </mdb-list-group-item>
              <mdb-list-group-item :justify-content-between="false">
                <mdb-btn floating tag="a" icon="linkedin-in" fab class="btn-li"/>Cras justo odio
              </mdb-list-group-item>
              <mdb-list-group-item :justify-content-between="false">
                <mdb-btn floating tag="a" icon="slack-hash" fab class="btn-slack"/>Cras justo odio
              </mdb-list-group-item>
              <mdb-list-group-item :justify-content-between="false">
                <mdb-btn floating tag="a" icon="youtube" fab class="btn-yt"/>Cras justo odio
              </mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem, mdbBtn } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem,
                mdbBtn
              }
            }
          </script>
      
        
    

Icon list with square icons

Photos

Work

Vacation

        
            
          <template>
            <mdb-list-group flush>
              <mdb-list-group-item social fab iconColor="primary-color" icon="instagram">Photos</mdb-list-group-item>
              <mdb-list-group-item social iconColor="red" fab icon="slack-hash">Work</mdb-list-group-item>
              <mdb-list-group-item social iconColor="secondary-color-dark" fab icon="snapchat">Vacation</mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem
              }
            }
          </script>
      
        
    

List icons with rounded icons

Photos

Work

Vacation

        
            
          <template>
            <mdb-list-group flush>
              <mdb-list-group-item social circle far iconColor="grey" icon="image">Photos</mdb-list-group-item>
              <mdb-list-group-item social circle iconColor="grey" icon="briefcase">Work</mdb-list-group-item>
              <mdb-list-group-item social circle iconColor="grey" icon="anchor">Vacation</mdb-list-group-item>
            </mdb-list-group>
          </template>
        
        
    
        
            
          <script>
            import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
            export default {
              name: 'HorizontalListPage',
              components: {
                mdbListGroup,
                mdbListGroupItem
              }
            }
          </script>
      
        
    

Vue List Group - API

In this section you will find advanced information about the List Group component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbListGroup, mdbListGroupItem } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties - List Group

Name Type Default Description Example
tag String 'ul' Changes list group's wrapper tag <mdb-list-group tag="div" />
horizontal Boolean false Changes list group's display to horizontal at all breakpoints. <mdb-list-group horizontal />
sm Boolean false Changes list group's display to horizontal at the 'sm' breakpoint. <mdb-list-group horizontal sm />
md Boolean false Changes list group's display to horizontal at the 'md' breakpoint. <mdb-list-group horizontal md />
lg Boolean false Changes list group's display to horizontal at the 'lg' breakpoint. <mdb-list-group horizontal lg />
xl Boolean false Changes list group's display to horizontal at the 'xl' breakpoint. <mdb-list-group horizontal xl />
flush Boolean false Removes list's borders <mdb-list-group flush />

API Reference: Properties - List Group Item

Name Type Default Description Example
tag String 'li' Changes list group item's wrapper tag <mdb-list-group-item tag="div" />
action Boolean false Changes list group item's styling to action <mdb-list-group-item action />
disabled Boolean false Disables the element <mdb-list-group-item disabled />
color String Changes the list item's style according to the passed value (primary, warning, danger, secondary, success, light, dark) or background to the given color (primary-color, light-blue, pink, etc) <mdb-list-group-item color="danger" />
justifyContentBetween Boolean true Changes the css propertyjustify-content to between value <mdb-list-group-item :justify-content-between="false" />
alignItemsCenter Boolean true Changes the css propertyalign-items to center value <mdb-list-group-item :align-items-center="false" />
icon String Sets the list group item's icon <mdb-list-group-item icon="paper-plane" />
social Boolean false Changes icon styling to social <mdb-list-group-item icon="paper-plane" social />
circle Boolean false Changes social icon's shape to circle <mdb-list-group-item icon="paper-plane" social circle />
iconColor String 'default-color' Changes social icon's background to the given color <mdb-list-group-item icon="paper-plane" social iconColor="pink" />
far Boolean false Changes icon's style to regular <mdb-list-group-item icon="..." far />
regular Boolean false Changes icon's style to regular <mdb-list-group-item icon="..." regular />
light Boolean false Changes icon's style to light <mdb-list-group-item icon="..." light />
fal Boolean false Changes icon's style to light <mdb-list-group-item icon="..." fal />
fab Boolean false Changes icon's style to brands <mdb-list-group-item icon="..." fab />
brands Boolean false Changes icon's style to brands <mdb-list-group-item icon="..." brands />
fad Boolean false Changes icon's style to duotone <mdb-list-group-item icon="..." fad />
duotone Boolean false Changes icon's style to duotone <mdb-list-group-item icon="..." duotone />

React Bootstrap List Group

React List Group - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap list group is a flexible component which displays not only simple list of elements but complex custom content.


Basic example

  • Cras justo odio
  • Dapibus ac facilisis in
  • Morbi leo risus
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
        import React from 'react';
        import { MDBListGroup, MDBListGroupItem, MDBContainer } from "mdbreact";

        const ListGroupPage = () => {
          return (
            <MDBContainer>
              <MDBListGroup style={{ width: "22rem" }}>
                <MDBListGroupItem>Cras justo odio</MDBListGroupItem>
                <MDBListGroupItem>Dapibus ac facilisis in</MDBListGroupItem>
                <MDBListGroupItem>Morbi leo risus</MDBListGroupItem>
                <MDBListGroupItem>Porta ac consectetur ac</MDBListGroupItem>
                <MDBListGroupItem>Vestibulum at eros</MDBListGroupItem>
              </MDBListGroup>
            </MDBContainer>
          );
        };

        export default ListGroupPage;


        
        
    

Labels

Add labels to any list group item to show unread counts, activity, etc.

  • Cras justo odio 14
  • Dapibus ac facilisis in 2
  • Morbi leo risus 1
        
            
        import React from 'react';
        import { MDBListGroup, MDBListGroupItem, MDBContainer, MDBBadge } from "mdbreact";

        const ListGroupPage = () => {
          return (
            <MDBContainer>
              <MDBListGroup style={{ width: "22rem" }}>
                <MDBListGroupItem className="d-flex justify-content-between align-items-center">Cras justo odio<MDBBadge color="primary"
                    pill>14</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem className="d-flex justify-content-between align-items-center">Dapibus ac facilisis in<MDBBadge
                    color="primary" pill>2</MDBBadge>
                </MDBListGroupItem>
                <MDBListGroupItem className="d-flex justify-content-between align-items-center">Morbi leo risus<MDBBadge color="primary"
                    pill>1</MDBBadge>
                </MDBListGroupItem>
              </MDBListGroup>
            </MDBContainer>
          );
        };

        export default ListGroupPage;
        
        
    

Linked items

Linkify list group items using the href prop and an optional active prop.

        
            
        import React from 'react';
        import { MDBListGroup, MDBListGroupItem, MDBContainer } from "mdbreact";

        const MyListGroup = () => {
          return (
            <MDBContainer>
              <MDBListGroup style={{ width: "22rem" }}>
                <MDBListGroupItem href="#" active>Cras justo odio</MDBListGroupItem>
                <MDBListGroupItem href="#">Dapibus ac facilisis in</MDBListGroupItem>
                <MDBListGroupItem href="#">Morbi leo risus</MDBListGroupItem>
                <MDBListGroupItem href="#">Porta ac consectetur ac</MDBListGroupItem>
                <MDBListGroupItem href="#">Vestibulum at eros</MDBListGroupItem>
              </MDBListGroup>
            </MDBContainer>
          );
        };

        export default MyListGroup;
        
        
    

Links and buttons

To create actionable list group items with hover or disabled states use appropriate attributes, namely hover and disabled .
        
            
        import React from 'react';
        import { MDBListGroup, MDBListGroupItem, MDBContainer } from "mdbreact";

        const MyListGroup = () => {
          return (
            <MDBContainer>
              <MDBListGroup style={{ width: "22rem" }}>
                <MDBListGroupItem href="#" active>Cras justo odio</MDBListGroupItem>
                <MDBListGroupItem href="#" hover>Dapibus ac facilisis in</MDBListGroupItem>
                <MDBListGroupItem href="#" hover>Morbi leo risus</MDBListGroupItem>
                <MDBListGroupItem href="#" hover>Porta ac consectetur ac</MDBListGroupItem>
                <MDBListGroupItem href="#" disabled>Vestibulum at eros</MDBListGroupItem>
              </MDBListGroup>
            </MDBContainer>
          );
        };

        export default MyListGroup;
        
        
    

Contextual classes

Use color prop to style list items.

  • Dapibus ac facilisis in
  • Cras sit amet nibh libero
  • Porta ac consectetur ac
  • Vestibulum at eros
  • Dapibus ac facilisis in
  • Cras sit amet nibh libero
  • Porta ac consectetur ac
  • Vestibulum at eros
        
            
          import React from 'react';
          import { MDBListGroup, MDBListGroupItem, MDBContainer } from "mdbreact";

          const ListGroupPage = () => {
            return (
              <MDBContainer>
                <MDBListGroup className="my-4 mx-4" style={{ width: "22rem" }}>
                  <MDBListGroupItem color="primary">Cras justo odio</MDBListGroupItem>
                  <MDBListGroupItem color="secondary">Dapibus ac facilisis in</MDBListGroupItem>
                  <MDBListGroupItem color="danger">Morbi leo risus</MDBListGroupItem>
                  <MDBListGroupItem color="warning">Porta ac consectetur ac</MDBListGroupItem>
                  <MDBListGroupItem color="info">Vestibulum at eros</MDBListGroupItem>
                  <MDBListGroupItem color="light">Vestibulum at eros</MDBListGroupItem>
                  <MDBListGroupItem color="dark">Vestibulum at eros</MDBListGroupItem>
                </MDBListGroup>
              </MDBContainer>
            );
          };

          export default ListGroupPage;
        
        
    

Custom content

Add nearly any HTML within, even for linked list groups like the one below.

        
            
          import React from 'react';
          import { MDBListGroup, MDBListGroupItem, MDBContainer } from "mdbreact";

          const ListGroupPage = () => {
            return (
              <MDBContainer>
                <MDBListGroup style={{ width: "22rem" }}>
                  <MDBListGroupItem active href="#">
                    <div className="d-flex w-100 justify-content-between">
                      <h5 className="mb-1">List group item heading</h5>
                      <small>3 days ago</small>
                    </div>
                    <p className="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
                      blandit.</p>
                    <small>Donec id elit non mi porta.</small>
                  </MDBListGroupItem>
                  <MDBListGroupItem hover href="#">
                    <div className="d-flex w-100 justify-content-between">
                      <h5 className="mb-1">List group item heading</h5>
                      <small className="text-muted">3 days ago</small>
                    </div>
                    <p className="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
                      blandit.</p>
                    <small className="text-muted">Donec id elit non mi porta.</small>
                  </MDBListGroupItem>
                  <MDBListGroupItem hover href="#">
                    <div className="d-flex w-100 justify-content-between">
                      <h5 className="mb-1">List group item heading</h5>
                      <small className="text-muted">3 days ago</small>
                    </div>
                    <p className="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius
                      blandit.</p>
                    <small className="text-muted">Donec id elit non mi porta.</small>
                  </MDBListGroupItem>
                </MDBListGroup>
              </MDBContainer>
            );
          };

          export default ListGroupPage;

        
        
    

React List Group - API

In this section you will find advanced information about the List Group component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { MDBListGroup, MDBListGroupItem } from "mdbreact";
        
        
    

API Reference: ListGroup Properties

The table below shows the configuration options of the MDBListGroup component.

Name Type Default Description Example
className String Adds custom classes <MDBListGroup className="customClass" />
tag String ul Changes list tag <MDBListGroup tag="ol" />

API Reference: ListGroupItem Properties

The table below shows the configuration options of the MDBListGroupItem component.

Name Type Default Description Example
active Boolean false Adds default active state to item <MDBListGroupItem active />
className String Adds custom classes <MDBListGroupItem className="customClass" />
color String white Changes Item background and text color, accepts ["primary", "default", "secondary", "success", "dark", "danger", "info", "warning", "ins" ] <MDBListGroupItem color="primary" />
danger Boolean false Renders item with danger state styles (red background) <MDBListGroupItem danger />
disabled Boolean false Disables item from being clicked <MDBListGroupItem disabled />
hover Boolean false Adds hover effect (slightly background color change) <MDBListGroupItem hover />
href String Changes item tag to <a> with provided url <MDBListGroupItem href="https://yourUrl.com" />
info Boolean false Renders item with info state styles (blue background) <MDBListGroupItem info />
success Boolean false Renders item with success state styles (green background) <MDBListGroupItem success />
warning Boolean false Renders item with warning state styles (yellow background) <MDBListGroupItem warning />
tag String li Changes list item tag <MDBListGroupItem tag="li" />